#ifndef WHEAT_PLANT_HPP_
#define WHEAT_PLANT_HPP_

#include <Block/SpriteBlock/FarmPlant/FarmPlant.hpp>

/**
 * @brief Represents the wheat plant on a farm.
 */
class WheatPlant : public FarmPlant
{
protected:
    virtual int getGrowthStageTicks(int nutrition) override;
    virtual int getWaterUsage() override;
    virtual void getFarmHarvest(int nutrition, std::vector<ItemStack> &stacks) override;

public:
    WheatPlant(std::string name);
};

#endif